package controller;

import java.io.IOException;
import java.util.ResourceBundle;

import com.jfoenix.controls.JFXDecorator;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import main.Main;

public class MainController {

	private ResourceBundle resourceBundle;

	@FXML
	protected void helpAlert(ActionEvent event) throws IOException {
		Stage stage = new Stage();
		System.out.println(Main.locale);
		resourceBundle = ResourceBundle.getBundle(Main.locale);

		Parent root = FXMLLoader.load(getClass().getResource("/views/help.fxml"), resourceBundle);
		JFXDecorator decorator = new JFXDecorator(stage, root);
		decorator.setCustomMaximize(true);
		Scene scene = new Scene(decorator);
		scene.getStylesheets().add(getClass().getResource("/resources/dark-theme.css").toExternalForm());
		stage.setScene(scene);
		stage.setTitle(resourceBundle.getString("help.title"));
		stage.show();

	}

	@FXML
	protected void aboutAlert(ActionEvent event) throws IOException {
		Stage stage = new Stage();
		resourceBundle = ResourceBundle.getBundle(Main.locale);

		Parent root = FXMLLoader.load(getClass().getResource("/views/about.fxml"), resourceBundle);
		JFXDecorator decorator = new JFXDecorator(stage, root);
		decorator.setCustomMaximize(true);
		Scene scene = new Scene(decorator);
		scene.getStylesheets().add(getClass().getResource("/resources/dark-theme.css").toExternalForm());
		stage.setScene(scene);
		stage.setTitle(resourceBundle.getString("about.title"));
		stage.show();

	}

}
