package main;

import java.util.Locale;
import java.util.ResourceBundle;

import com.jfoenix.controls.JFXDecorator;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.image.Image;
import javafx.stage.Stage;

public class Main extends Application {

	public static String locale = "resources/en";

	public void start(Stage stage) throws Exception {
		if (Locale.getDefault().getLanguage().startsWith("es")) {
			locale = "resources/es";
		} else {
			locale = "resources/en";
		}

		ResourceBundle resourceBundle = ResourceBundle.getBundle(Main.locale);
		Parent root = (Parent) FXMLLoader.load(getClass().getResource("/views/mainlayout.fxml"), resourceBundle);

		JFXDecorator decorator = new JFXDecorator(stage, root);
		decorator.setCustomMaximize(true);
		Scene scene = new Scene(decorator);
		scene.getStylesheets().add(getClass().getResource("/resources/dark-theme.css").toExternalForm());

		// Icono disenado por Freepik (www.freepik.com)
		Image a = new Image("resources/codigo-binario-negro.png");
		stage.getIcons().add(a);

		stage.setScene(scene);
		stage.setResizable(true);
		stage.setTitle(resourceBundle.getString("title"));
		stage.centerOnScreen();
		stage.show();

	}

	public static void main(String[] args) {
		launch(args);
	}

}
